Page MenuHomePhabricator

Deploy eventlogging from new repository [5 pts]
Closed, ResolvedPublic

Description

Update puppet so that eventlogging is deployed from the new python repo instead of the MW extension. This ticket is about deploying the current master, not the new service branch.

Event Timeline

Ottomata created this task.Nov 17 2015, 4:51 PM
Ottomata claimed this task.
Ottomata raised the priority of this task from to Normal.
Ottomata updated the task description. (Show Details)
Ottomata added a subscriber: Nuria.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 17 2015, 4:51 PM

Change 253637 had a related patch set uploaded (by Ottomata):
Deploy eventlogging from new server code only repo

https://gerrit.wikimedia.org/r/253637

Change 253637 merged by Ottomata:
Deploy eventlogging from new server code only repo

https://gerrit.wikimedia.org/r/253637

Deployment works. Next up: sudo python setup.py install from master on deployment-eventlogging03 and restart eventlogging and make sure everything keeps working. If it does (it should), we can do the same in prod.

Done in prod. Now to remove the deployment for the old eventlogging/EventLogging mw extension repo.

Change 253929 had a related patch set uploaded (by Ottomata):
Remove reference to eventlogging/EventLogging for deployment

https://gerrit.wikimedia.org/r/253929

Change 253929 merged by Ottomata:
Remove reference to eventlogging/EventLogging for deployment

https://gerrit.wikimedia.org/r/253929

Ottomata moved this task from In Progress to Done on the Analytics-Kanban board.Nov 18 2015, 5:01 PM

Change 254032 had a related patch set uploaded (by Ottomata):
Removing python code from EventLogging MW extension, don't need to tox anymore

https://gerrit.wikimedia.org/r/254032

Change 254032 merged by jenkins-bot:
Removing python code from EventLogging MW extension, don't need to tox anymore

https://gerrit.wikimedia.org/r/254032

Ottomata renamed this task from Deploy eventlogging from new repository. to Deploy eventlogging from new repository. [5 pts].Nov 19 2015, 5:01 PM
Ottomata set Security to None.
kevinator renamed this task from Deploy eventlogging from new repository. [5 pts] to Deploy eventlogging from new repository [5 pts].Nov 19 2015, 5:08 PM
kevinator closed this task as Resolved.
kevinator added a subscriber: kevinator.